/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumCompleteness;
import de.ship.db.enums.EnumQuality;
import de.ship.db.tables.TCoreElementpublic;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreElementpublicRecord extends UpdatableRecordImpl<TCoreElementpublicRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_elementpublic.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementpublic.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_elementpublic.is_public</code>.
     */
    public void setIsPublic(Boolean value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementpublic.is_public</code>.
     */
    public Boolean getIsPublic() {
        return (Boolean) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_elementpublic.quality</code>.
     */
    public void setQuality(EnumQuality value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementpublic.quality</code>.
     */
    public EnumQuality getQuality() {
        return (EnumQuality) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_elementpublic.completeness</code>.
     */
    public void setCompleteness(EnumCompleteness value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementpublic.completeness</code>.
     */
    public EnumCompleteness getCompleteness() {
        return (EnumCompleteness) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreElementpublicRecord
     */
    public TCoreElementpublicRecord() {
        super(TCoreElementpublic.T_CORE_ELEMENTPUBLIC);
    }

    /**
     * Create a detached, initialised TCoreElementpublicRecord
     */
    public TCoreElementpublicRecord(Integer fkElement, Boolean isPublic, EnumQuality quality, EnumCompleteness completeness) {
        super(TCoreElementpublic.T_CORE_ELEMENTPUBLIC);

        setFkElement(fkElement);
        setIsPublic(isPublic);
        setQuality(quality);
        setCompleteness(completeness);
        resetChangedOnNotNull();
    }
}
